# AttributionTouchpoints

> Page through touchpoint attributions with a filter on order, post, send, ad or… Read access, attribution toolset, MCP tool get_attribution_touchpoints.

Page through touchpoint attributions with a filter on order, post, send, ad or campaign: role, tier, trust, evidence, share and reported credit.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `after` | `Cursor` | no | Opaque cursor from `pageInfo.endCursor` |  |
| `filter` | `TouchpointAttributionFilter` | no | Input object, below |  |
| `first` | `Int!` | yes | 32-bit integer. MCP tools send `50` when it is left out |  |

## Input types

A filter lists its fields by the type they take, and none of them is required.

### TouchpointAttributionFilter

- `[TouchpointAttributionFilter!]`: `and`, `or`
- [DatetimeFilter](https://developer.missin.co.uk/reference/input-types.md#datetimefilter): `computedAt`
- [FloatFilter](https://developer.missin.co.uk/reference/input-types.md#floatfilter): `evidencePct`
- `Boolean`: `formResponseExists`, `marketingAdByMarketingAdIdExists`, `marketingSendExists`, `mendJudgementByJudgementIdExists`, `orderByOrderIdExists`, `partnerPostExists`
- [UUIDFilter](https://developer.missin.co.uk/reference/input-types.md#uuidfilter): `formResponseId`, `judgementId`, `marketingAdId`, `marketingSendId`, `orderId`, `partnerPostId`, `rowId`, `touchpointId`, `workspaceId`
- [StringFilter](https://developer.missin.co.uk/reference/input-types.md#stringfilter): `mendTier`, `touchpointKind`
- `TouchpointAttributionFilter`: `not`

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"AttributionTouchpoints","variables":{"first":50},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"89e59ffe80effca87d938c6c82580582a2c312d36fe408f8f062b2f3325fb417"}}}'
```

## Document

```graphql
query AttributionTouchpoints($after: Cursor, $filter: TouchpointAttributionFilter, $first: Int!) { __typename allTouchpointAttributions( first: $first after: $after filter: $filter orderBy: [EVIDENCE_PCT_DESC] ) { __typename nodes { __typename caused creditedReported evidencePct id judgementId marketingAdByMarketingAdId { __typename id name rowId } marketingSend { __typename id name rowId subject } mendStatus mendTier mendTrust orderByOrderId { __typename attributedRevenue currencyByCurrencyId { __typename code decimalPlaces decimalSeparator id symbol symbolPosition thousandsSeparator } id orderNumber orderReportedByOrderId { __typename converted id nativeCurrency reportedAttributedRevenue reportingCurrency } rowId } partnerPost { __typename id partnerByPartnerId { __typename profileImage: avatarUrl id name rowId username } postType publishedAt rowId title views } role rowId sharePct touchpointId touchpointKind } pageInfo { __typename endCursor hasNextPage } totalCount } }
```

Source: https://developer.missin.co.uk/reference/attribution/attribution-touchpoints
